org.eclipse.gef.palette

## Class MarqueeToolEntry

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.ToolEntry
    - - org.eclipse.gef.palette.MarqueeToolEntry

    public class MarqueeToolEntry
    extends ToolEntry

A palette ToolEntry for a `MarqueeSelectionTool`.

Since:
  2.1

### Field Summary

### Fields inherited from class org.eclipse.gef.palette.ToolEntry

`PALETTE_TYPE_TOOL`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
Constructor and Description
`MarqueeToolEntry()` Creates a new MarqueeToolEntry that can select nodes
`MarqueeToolEntry(java.lang.String label)` Constructor for MarqueeToolEntry.
`MarqueeToolEntry(java.lang.String label, java.lang.String description)` Constructor for MarqueeToolEntry.

### Method Summary

Methods
`java.lang.String` `getDescription()`
`ImageDescriptor` `getLargeIcon()`
`ImageDescriptor` `getSmallIcon()`

### Methods inherited from class org.eclipse.gef.palette.ToolEntry

`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getId, getLabel, getParent, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarqueeToolEntry

    public MarqueeToolEntry()

Creates a new MarqueeToolEntry that can select nodes

#### MarqueeToolEntry

    public MarqueeToolEntry(java.lang.String label)

Constructor for MarqueeToolEntry.

Parameters:
  `label` - the label

#### MarqueeToolEntry

    public MarqueeToolEntry(java.lang.String label,
                    java.lang.String description)

Constructor for MarqueeToolEntry.

Parameters:
  `label` - the label; can be `null`
  `description` - the description (can be `null`)

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Overrides:
  `getDescription` in class `PaletteEntry`
Returns:
  a short desecription describing this entry.
See Also:
  `PaletteEntry.getDescription()`

#### getLargeIcon

    public ImageDescriptor getLargeIcon()

Overrides:
  `getLargeIcon` in class `PaletteEntry`
Returns:
  a large icon representing this entry.
See Also:
  `PaletteEntry.getLargeIcon()`

#### getSmallIcon

    public ImageDescriptor getSmallIcon()

Overrides:
  `getSmallIcon` in class `PaletteEntry`
Returns:
  a small icon representing the entry.
See Also:
  `PaletteEntry.getSmallIcon()`